//  ChatConsumer.java
//
//  Last modified 1/30/2000 by Alan Frindell
//
//  RMI interface for the ChatConsumer callback object.
//
//  This interface has only one method: consumerMessage.  This is called
//  from the server after someone posts a message to the chat room.
//
//  You will need to change this to implement security features of the
//  chat system.


package Chat;

import java.rmi.*;

//  Crypto
import java.security.*;
import java.security.spec.*;
import java.security.interfaces.*;
import javax.crypto.*;
import javax.crypto.spec.*;
import javax.crypto.interfaces.*;


interface ChatConsumer extends Remote {

  public void consumeMessage(ChatMessage sealedMsg) throws RemoteException;

}
